//
//  bclass.h
//				Author Tatsuo Baba

#ifndef __BCLASS__
#define __BCLASS__

#include <unistd.h>
#include <sys/stat.h>
#include <stdio.h>
#include <string.h>

class  BCStr
{
public:
	BCStr(){m_nSize=m_nCur=0;m_pFind=m_pData= NULL;};
	~BCStr(){if (m_pData) delete []m_pData;};
	void Clear(){m_pFind=NULL;m_nCur=0;};
	void Detach(){m_pData = NULL;m_nSize=m_nCur=0;};
	void Add(char *data,int len);
	void Expand(int len);
	void Compact(int pos);
	void AddByte(int data);
	int GetLength(){return m_nCur;};
	int GetSize(){return m_nSize -1 ;};
	int GetSpace(){return (m_nSize - m_nCur) -1 ;};
	char *GetBuffer(){return m_pData;};
	char *Find(int ch);
private:
	char *m_pData;	// buffer pointer
	char *m_pFind;	// find pointer
	int m_nSize;	// buffer size
	int m_nCur;		// current length
};

//t@C`FbN֐
int BFileAttr(const char* name);

// 2000.01.21 add BFile class
class BFile 
{
public:
	BFile(const char* fname);
	~BFile();
	void Close();
	char *GetLine();
private:
	FILE *m_hFile;
	char m_pBuff[512];
};

char* Strrchr(const char* str,char chr);

char* Strchr(const char* str,char chr);

#endif
